package com.rhinemann.project;

import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.RadioGroup;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

public class Calculator extends AppCompatActivity {

    RadioGroup UALan;
    RadioGroup UALit;
    RadioGroup FLit;
    RadioGroup FLan;
    RadioGroup UAHist;
    RadioGroup FHist;
    RadioGroup AnFLan;
    RadioGroup Math;
    RadioGroup Alg;
    RadioGroup Geom;
    RadioGroup PhysAstr;
    RadioGroup BioEco;
    RadioGroup Chem;
    RadioGroup Geo;
    RadioGroup PE;
    RadioGroup Milit;
    RadioGroup SocEd;
    RadioGroup Law;
    RadioGroup Econ;
    RadioGroup IT;
    RadioGroup Tech;
    RadioGroup Art;

    CheckBox checkBox_IT;
    CheckBox checkBox_Tech;
    CheckBox checkBox_Art;

    TextView HoursTaken;

    Float Hours_Count;

    Float UALan_Hours = 2f;
    Float UALit_Hours = 2f;
    Float FLit_Hours = 1f;
    Float FLan_Hours = 2f;
    Float UAHist_Hours = 1.5f;
    Float FHist_Hours = 1f;
    Float AnFLan_Hours = 0f;
    Float Math_Hours = 3f;
    Float Alg_Hours = 0f;
    Float Geom_Hours = 0f;
    Float PhysAstr_Hours = 3f;
    Float BioEco_Hours = 2f;
    Float Chem_Hours = 1.5f;
    Float Geo_Hours = 1.5f;
    Float PE_Hours = 2f;
    Float Milit_Hours = 1.5f;
    Float SocEd_Hours = 2f;
    Float Law_Hours = 0f;
    Float Econ_Hours = 0f;
    Float IT_Hours = 0f;
    Float Tech_Hours = 0f;
    Float Art_Hours = 0f;

    Button Home;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_calculator);

        UALan= findViewById(R.id.UALan);
        UALit= findViewById(R.id.UALit);
        FLit= findViewById(R.id.FLit);
        FLan= findViewById(R.id.FLan);
        UAHist= findViewById(R.id.UAHist);
        FHist= findViewById(R.id.FHist);
        AnFLan= findViewById(R.id.AnFLan);
        Math= findViewById(R.id.Math);
        Alg= findViewById(R.id.Alg);
        Geom= findViewById(R.id.Geom);
        PhysAstr= findViewById(R.id.PhysAstr);
        BioEco= findViewById(R.id.BioEco);
        Chem= findViewById(R.id.Chem);
        Geo= findViewById(R.id.Geo);
        PE= findViewById(R.id.PE);
        Milit= findViewById(R.id.Milit);
        SocEd= findViewById(R.id.SocEd);
        Law= findViewById(R.id.Law);
        Econ= findViewById(R.id.Econ);
        IT= findViewById(R.id.IT);
        Tech= findViewById(R.id.Tech);
        Art= findViewById(R.id.Art);

        HoursTaken = findViewById(R.id.Hours);

        Home = findViewById(R.id.home);

        Home.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(Calculator.this, HomeScreen.class);
                startActivity(intent);
            }
        });

        checkBox_IT = findViewById(R.id.checkBox_IT);
        checkBox_Tech = findViewById(R.id.checkBox_Tech);
        checkBox_Art = findViewById(R.id.checkBox_Art);

        Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);

        IT.clearCheck();
        Tech.clearCheck();
        Art.clearCheck();

        UALan.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId) {
                    case R.id.UALanSt:
                        UALan_Hours = 2f;
                        break;
                    case R.id.UALanPro:
                        UALan_Hours = 4f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        UALit.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.UALitSt:
                        UALit_Hours=2f;
                        break;
                    case R.id.UALitPro:
                        UALit_Hours=4f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        FLit.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.FLitSt:
                        FLit_Hours=1f;
                        break;
                    case R.id.FLitPro:
                        FLit_Hours=3f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        FLan.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.FLanSt:
                        FLan_Hours=2f;
                        break;
                    case R.id.FLanPro:
                        FLan_Hours= 5f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        UAHist.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.UAHistSt:
                        UAHist_Hours=1.5f;
                        break;
                    case R.id.UAHistPro:
                        UAHist_Hours= 3f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        FHist.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.FHistSt:
                        FHist_Hours=1f;
                        break;
                    case R.id.FHistPro:
                        FHist_Hours=3f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        AnFLan.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.AnFLanSt:
                        AnFLan_Hours=0f;
                        break;
                    case R.id.AnFLanPro:
                        AnFLan_Hours=3f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        Math.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.MathSt:
                        Math_Hours=3f;
                        break;
                    case R.id.MathPro:
                        Math_Hours=0f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        Alg.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.AlgSt:
                        Alg_Hours=0f;
                        break;
                    case R.id.AlgPro:
                        Alg_Hours=6f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        Geom.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.GeomSt:
                        Geom_Hours=0f;
                        break;
                    case R.id.GeomPro:
                        Geom_Hours=3f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        PhysAstr.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.PhysAstrSt:
                        PhysAstr_Hours=3f;
                        break;
                    case R.id.PhysAstrPro:
                        PhysAstr_Hours=6f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        BioEco.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.BioEcoSt:
                        BioEco_Hours=2f;
                        break;
                    case R.id.BioEcoPro:
                        BioEco_Hours=5f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        Chem.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.ChemSt:
                        Chem_Hours=1.5f;
                        break;
                    case R.id.ChemPro:
                        Chem_Hours=4f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        Geo.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.GeoSt:
                        Geo_Hours=1.5f;
                        break;
                    case R.id.GeoPro:
                        Geo_Hours=5f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        PE.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.PESt:
                        PE_Hours=2f;
                        break;
                    case R.id.PEPro:
                        PE_Hours=6f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        Milit.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.MilitSt:
                        Milit_Hours=1.5f;
                        break;
                    case R.id.MilitPro:
                        Milit_Hours=5f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        SocEd.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.SocEdSt:
                        SocEd_Hours=2f;
                        break;
                    case R.id.SocEdPro:
                        SocEd_Hours=0f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        Law.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.LawSt:
                        Law_Hours=0f;
                        break;
                    case R.id.LawPro:
                        Law_Hours=3f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        Econ.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                switch (checkedId){
                    case R.id.EconSt:
                        Econ_Hours=0f;
                        break;
                    case R.id.EconPro:
                        Econ_Hours=3f;
                        break;
                }
                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
            }
        });

        checkBox_IT.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                if (checkBox_IT.isChecked()) {
                    IT_Hours = 3f;
                    IT.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
                        @Override
                        public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                            if (checkBox_IT.isChecked()) {
                                switch (checkedId) {
                                    case R.id.ITSt:
                                        IT_Hours = 3f;
                                        break;
                                    case R.id.ITPro:
                                        IT_Hours = 5f;
                                        break;
                                }
                                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
                            } else{
                                IT_Hours = 0f;
                                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
                            }
                        }
                    });
                } else {
                    IT.clearCheck();
                    IT_Hours = 0f;
                    Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
                }
            }
        });

        checkBox_Tech.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                if (checkBox_Tech.isChecked()) {
                    Tech_Hours = 3f;
                    Tech.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
                        @Override
                        public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                            if (checkBox_Tech.isChecked()) {
                                switch (checkedId) {
                                    case R.id.TechSt:
                                        Tech_Hours = 3f;
                                        break;
                                    case R.id.TechPro:
                                        Tech_Hours = 5f;
                                        break;
                                }
                                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
                            } else {
                                Tech_Hours = 0f;
                                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
                            }
                        }
                    });
                }else {
                    Tech.clearCheck();
                    Tech_Hours = 0f;
                    Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
                }
            }
        });

        checkBox_Art.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                if (checkBox_Art.isChecked()) {
                    Art_Hours = 3f;
                    Art.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
                        @Override
                        public void onCheckedChanged(RadioGroup radioGroup, int checkedId) {
                            if (checkBox_Art.isChecked()){
                                switch (checkedId) {
                                    case R.id.ArtSt:
                                        Art_Hours = 3f;
                                        break;
                                    case R.id.ArtPro:
                                        Art_Hours = 5f;
                                }
                                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
                            } else {
                                Art_Hours= 0f;
                                Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
                            }
                        }
                    });
                }else {
                    Art.clearCheck();
                    Art_Hours = 0f;
                    Hours_Count = Final(UALan_Hours, UALit_Hours, FLit_Hours, FLan_Hours, UAHist_Hours, FHist_Hours, AnFLan_Hours, Math_Hours, Alg_Hours, Geom_Hours, PhysAstr_Hours, BioEco_Hours, Chem_Hours, Geo_Hours, Milit_Hours, SocEd_Hours, Law_Hours, Econ_Hours, IT_Hours, Tech_Hours, Art_Hours, PE_Hours);
                }
            }
        });

    }

    public float Final(float Lesson_1, float Lesson_2, float Lesson_3, float Lesson_4, float Lesson_5, float Lesson_6, float Lesson_7, float Lesson_8, float Lesson_9, float Lesson_10, float Lesson_11, float Lesson_12, float Lesson_13, float Lesson_14, float Lesson_15, float Lesson_16, float Lesson_17, float Lesson_18, float Lesson_19, float Lesson_20, float Lesson_21, float PE){
        float Hours = Lesson_1 + Lesson_2 + Lesson_3 + Lesson_4 + Lesson_5 + Lesson_6 + Lesson_7 + Lesson_8 + Lesson_9 + Lesson_10 + Lesson_11 + Lesson_12 + Lesson_13 + Lesson_14 + Lesson_15 + Lesson_16 + Lesson_17 + Lesson_18 + Lesson_19 + Lesson_20 + Lesson_21;

        if (Hours >= 33f){
            HoursTaken.setTextColor(Color.rgb(255,0,0));
        }
        else {
            HoursTaken.setTextColor(Color.rgb(0, 0, 0));
        }

        Hours += PE;

        HoursTaken.setText("Годин вибрано: " + Float.toString(Hours));

        return Hours;
    }

}